

.cart-wrapper{

  display:grid;

  grid-template-columns: 2.5fr 1fr;

  gap:20px;

  padding:20px;

  max-width:1200px;

  margin:auto;

}



/* LEFT CART */

.cart-box{

  background:#ffffff;

  border-radius:4px;

}



/* ADDRESS */

.address{

  padding:15px;

  border-bottom:1px solid #F5E6C8;

  display:flex;

  justify-content:space-between;

  align-items:center;

  gap:10px;

}



.address-left p{

  font-size:14px;

  color:#5C370C;

}



.address-left span{

  font-weight:bold;

  color:#7A4A12;

}



.address-left small{

  color:#8A7A6A;

  font-size:13px;

}



/* CHANGE BUTTON */

.change-btn{

  border:1px solid #7A4A12;

  background:#ffffff;

  color:#7A4A12;

  padding:6px 14px;

  border-radius:4px;

  font-size:13px;

  cursor:pointer;

  font-weight:600;

}



.change-btn:hover{

  background:#7A4A12;

  color:#ffffff;

}



/* Mobile adjustment */

@media(max-width:576px){

  .address{

    flex-direction:column;

    align-items:flex-start;

  }



  .change-btn{

    align-self:flex-end;

  }

}



/* CART ITEM */

.cart-item{

  display:flex;

  gap:15px;

  padding:15px;

  border-bottom:1px solid #F5E6C8;

}



.cart-item img{

  width:80px;

  height:100px;

  object-fit:contain;

}



.item-details h4{

  font-size:15px;

  margin-bottom:5px;

  color:#5C370C;

}



.out{

  color:#C2410C; /* natural alert */

  font-size:14px;

  margin:6px 0;

}



.actions{

  margin-top:8px;

  font-size:14px;

}



.actions a{

  margin-right:15px;

  color:#7A4A12;

  cursor:pointer;

  text-decoration:none;

}



/* PLACE ORDER */

.place-order{

  padding:15px;

  display:flex;

  justify-content:flex-end;

}



.place-order button{

  background:#F5BA5E;

  color:#5C370C;

  border:none;

  padding:14px 40px;

  font-size:16px;

  cursor:pointer;

  border-radius:2px;

  font-weight:600;

}



/* PRICE BOX */

.price-box{

  background:#ffffff;

  padding:15px;

  border-radius:4px;

  position:sticky;

  top:20px;

}



.price-box h3{

  font-size:16px;

  margin-bottom:10px;

  color:#5C370C;

}



.price-row{

  display:flex;

  justify-content:space-between;

  font-size:14px;

  margin:8px 0;

  color:#5C370C;

}



.green{

  color:#2ECC71;

}



.total{

  font-weight:bold;

  border-top:1px dashed #D6C4A8;

  padding-top:10px;

}



.saving{

  background:#EAF7EE;

  color:#2ECC71;

  padding:10px;

  margin-top:10px;

  border-radius:4px;

  font-size:14px;

}



@media(max-width:992px){

  .cart-wrapper{

    grid-template-columns:1fr;

  }



  .price-box{

    position:relative;

    top:0;

  }

}



@media(max-width:576px){

  .cart-item{

    flex-direction:column;

    align-items:flex-start;

  }



  .place-order{

    justify-content:center;

  }



  .place-order button{

    width:100%;

  }

}

.cart-btn {

  position: relative;

}



.cart-count {

  position: absolute;

  top: 0px;

  right: -1px;

  background: #ff3b3b;

  color: #fff;

  font-size: 11px;

  font-weight: bold;

  width: 18px;

  height: 18px;

  border-radius: 50%;

  display: flex;

  align-items: center;

  justify-content: center;

}

